Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.juzu.request
Enum Phase

    java.lang.Object
      java.lang.Enum<Phase>
          org.juzu.request.Phase

All Implemented Interfaces:
  Serializable, Comparable<Phase>

    public enum Phase

extends Enum<Phase>

A phase.

Author:
  Julien Viet

Enum Constant Summary
`ACTION` Action phase.
`RENDER` Render phase.
`RESOURCE` Resource phase.

Field Summary
`Class<? extends Annotation>` | `annotation` .

Method Summary
`abstract String` | `id(Annotation annotation)`
`static Phase` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Phase[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ACTION

    public static final Phase ACTION

  Action phase.

### RENDER

    public static final Phase RENDER

  Render phase.

### RESOURCE

    public static final Phase RESOURCE

  Resource phase.

Field Detail

### annotation

    public final Class<? extends Annotation> annotation

  .

Method Detail

### values

    public static Phase[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Phase c : Phase.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Phase valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### id

    public abstract String id(Annotation annotation)
                       throws ClassCastException

  Throws:
    `ClassCastException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 eXo Platform SAS. All Rights Reserved.